#ifndef __FRAME1_G__
#define __FRAME1_G__

#include "wx/frame.h"
#include "wx/wspp/dblist.h"

// Define a new frame type: this is going to be our main frame
class MyFrame1 : public wxFrame
{
public:
    // ctor(s)
	MyFrame1();
    MyFrame1(const wxString& title, const wxPoint& pos, const wxSize& size);

	void OnInit(wxCommandEvent& event);

    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);

	void OnHello(wxCommandEvent& event);

	void OnInsert(wxCommandEvent& event);
	void OnRemove(wxCommandEvent& event);
	void OnEdit(wxCommandEvent& event);

	void OnInit( wxInitDialogEvent& event );

	wxDbListCtrl& GetDbList();

	DECLARE_DYNAMIC_CLASS( MyFrame1 )

private:
    // any class wishing to process wxWindows events must use this macro
    DECLARE_EVENT_TABLE()

protected:
	wxDbListCtrl* mpDbList;
};

// IDs for the controls and the menu commands
enum
{
    // menu items
    Minimal_Quit = 1,
    Minimal_About
};


#endif // __FRAME1_G__